=== debian/changelog ===
libcyaml (1.1.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sudip Mukherjee ]
  * Update to upstream v1.1.0
    - Remove patches merged upstream.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 27 Jun 2020 17:13:46 +0100

libcyaml (1.0.2-5) unstable; urgency=medium

  * Move Vcs to salsa.
  * Add salsa ci.
  * Fix autopkgtest dependency.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 03 Jun 2020 21:27:30 +0100

libcyaml (1.0.2-4) unstable; urgency=medium

  * Install examples.
  * Add autopkgtest.
  * Fix FTCBFS: Use pkg-config to locate libyaml. (Closes: #959523)
    - Thanks to Helmut Grohne.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 29 May 2020 13:46:34 +0100

libcyaml (1.0.2-3) unstable; urgency=medium

  * Fix build on big-endian systems.
  * Update compat level to 13.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 09 May 2020 20:54:43 +0100

libcyaml (1.0.2-2) unstable; urgency=medium

  * Fix copyright year.
  * Add debian/watch file.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 24 Apr 2020 17:56:58 +0100

libcyaml (1.0.2-1) unstable; urgency=medium

  * Initial release (Closes: #956453)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 13 Apr 2020 16:03:50 +0100
