## libcyaml 1.3.1

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
 # SPDX-License-Identifier: ISC
 #
-# Copyright (C) 2017-2020 Michael Drake <tlsa@netsurf-browser.org>
+# Copyright (C) 2017-2021 Michael Drake <tlsa@netsurf-browser.org>
 
 # CYAML's versioning is <MAJOR>.<MINOR>.<PATCH>[-DEVEL]
 # Master branch will always be DEVEL.  The release process will be to make
 # the release branch, set VESION_DEVEL to 0, and tag the release.
 VERSION_MAJOR = 1
-VERSION_MINOR = 1
-VERSION_PATCH = 0
+VERSION_MINOR = 3
+VERSION_PATCH = 1
 VERSION_DEVEL = 0
 VERSION_STR = $(VERSION_MAJOR).$(VERSION_MINOR).$(VERSION_PATCH)
 
@@ -25,6 +25,8 @@
 else
 $(error VARIANT must be 'debug' (default), 'san', or 'release')
 endif
+
+UNAME_S := $(shell uname -s)
 
 LIB_NAME = libcyaml
 LIB_PKGCON = $(LIB_NAME).pc
@@ -39,6 +41,8 @@
 LIBDIR ?= lib
 INCLUDEDIR ?= include
 
+Q ?= @
+
 CC ?= gcc
 AR ?= ar
 MKDIR =	mkdir -p
@@ -55,10 +59,14 @@
 LIBYAML_LIBS := $(if $(PKG_CONFIG),$(shell $(PKG_CONFIG) --libs $(LIBYAML)),-lyaml)
 
 INCLUDE = -I include
-CFLAGS += $(INCLUDE) $(VERSION_FLAGS) $(LIBYAML_CFLAGS)
-CFLAGS += -std=c11 -Wall -Wextra -pedantic -Wconversion
+CPPFLAGS += $(VERSION_FLAGS) -MMD -MP
+CFLAGS += $(INCLUDE) $(LIBYAML_CFLAGS)
+CFLAGS += -std=c11 -Wall -Wextra -pedantic \
+		-Wconversion -Wwrite-strings -Wcast-align -Wpointer-arith \
+		-Winit-self -Wshadow -Wstrict-prototypes -Wmissing-prototypes \
+		-Wredundant-decls -Wundef -Wvla -Wdeclaration-after-statement
 LDFLAGS += $(LIBYAML_LIBS)
-LDFLAGS_SHARED += -Wl,-soname=$(LIB_SH_MAJ) -shared
+LDFLAGS_SHARED = -Wl,-soname=$(LIB_SH_MAJ) -shared
 
 ifeq ($(VARIANT), debug)
 	CFLAGS += -O0 -g
@@ -85,15 +93,27 @@
 LIB_SRC_FILES = mem.c free.c load.c save.c util.c utf8.c
 LIB_SRC := $(addprefix src/,$(LIB_SRC_FILES))
 LIB_OBJ = $(patsubst %.c,%.o, $(addprefix $(BUILDDIR)/,$(LIB_SRC)))
+LIB_DEP = $(patsubst %.c,%.d, $(addprefix $(BUILDDIR)/,$(LIB_SRC)))
 LIB_OBJ_SHARED = $(patsubst $(BUILDDIR)%,$(BUILDDIR_SHARED)%,$(LIB_OBJ))
 LIB_OBJ_STATIC = $(patsubst $(BUILDDIR)%,$(BUILDDIR_STATIC)%,$(LIB_OBJ))
+LIB_DEP_SHARED = $(patsubst $(BUILDDIR)%,$(BUILDDIR_SHARED)%,$(LIB_DEP))
+LIB_DEP_STATIC = $(patsubst $(BUILDDIR)%,$(BUILDDIR_STATIC)%,$(LIB_DEP))
 
 LIB_PATH = LD_LIBRARY_PATH=$(BUILDDIR)
+
+ifeq ($(UNAME_S),Darwin)
+	LIB_SHARED = $(LIB_NAME).dylib
+	LIB_SH_MAJ = $(LIB_NAME).$(VERSION_MAJOR).dylib
+	LIB_SH_VER = $(LIB_NAME).$(VERSION_STR).dylib
+	LDFLAGS_SHARED = -dynamiclib -install_name "$(LIB_SH_MAJ)" -current_version $(VERSION_STR)
+	LIB_PATH = DYLD_FALLBACK_LIBRARY_PATH=$(BUILDDIR)
+endif
 
 TEST_SRC_FILES = units/free.c units/load.c units/test.c units/util.c \
 		units/errs.c units/file.c units/save.c units/utf8.c
 TEST_SRC := $(addprefix test/,$(TEST_SRC_FILES))
 TEST_OBJ = $(patsubst %.c,%.o, $(addprefix $(BUILDDIR)/,$(TEST_SRC)))
+TEST_DEP = $(patsubst %.c,%.d, $(addprefix $(BUILDDIR)/,$(TEST_SRC)))
 
 TEST_BINS = \
 		$(BUILDDIR)/test/units/cyaml-shared \
@@ -102,16 +122,16 @@
 all: $(BUILDDIR)/$(LIB_SH_MAJ) $(BUILDDIR)/$(LIB_STATIC) examples
 
 coverage: test-verbose
-	@$(MKDIR) $(BUILDDIR)
-	@gcovr -e 'test/.*' -r .
-	@gcovr -e 'test/.*' -x -o build/coverage.xml -r .
-	@gcovr -e 'test/.*' --html --html-details -o build/coverage.html -r .
+	$(Q)$(MKDIR) $(BUILDDIR)
+	$(Q)gcovr -e 'test/.*' -r .
+	$(Q)gcovr -e 'test/.*' -x -o build/coverage.xml -r .
+	$(Q)gcovr -e 'test/.*' --html --html-details -o build/coverage.html -r .
 
 test test-quiet test-verbose test-debug: $(TEST_BINS)
-	@for i in $(^); do $(LIB_PATH) $$i $(subst test-,--,$@) || exit; done
+	$(Q)for i in $(^); do $(LIB_PATH) $$i $(subst test,,$(subst test-,--,$@)) "$(TESTLIST)" || exit; done
 
 valgrind valgrind-quiet valgrind-verbose valgrind-debug: $(TEST_BINS)
-	@for i in $(^); do $(LIB_PATH) $(VALGRIND) $$i $(subst valgrind-,--,$@) || exit; done
+	$(Q)for i in $(^); do $(LIB_PATH) $(VALGRIND) $$i $(subst valgrind,,$(subst valgrind-,--,$@)) "$(TESTLIST)" || exit; done
 
 check: test
 
@@ -130,12 +150,12 @@
 	$(CC) -o $@ $^ $(LDFLAGS) $(LDFLAGS_COV) $(LDFLAGS_SHARED)
 
 $(LIB_OBJ_STATIC): $(BUILDDIR_STATIC)/%.o : %.c
-	@$(MKDIR) $(BUILDDIR_STATIC)/src
-	$(CC) $(CFLAGS) $(CFLAGS_COV) -c -o $@ $<
+	$(Q)$(MKDIR) $(dir $@)
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_COV) -c -o $@ $<
 
 $(LIB_OBJ_SHARED): $(BUILDDIR_SHARED)/%.o : %.c
-	@$(MKDIR) $(BUILDDIR_SHARED)/src
-	$(CC) $(CFLAGS) -fPIC $(CFLAGS_COV) -c -o $@ $<
+	$(Q)$(MKDIR) $(dir $@)
+	$(CC) $(CPPFLAGS) $(CFLAGS) -fPIC $(CFLAGS_COV) -c -o $@ $<
 
 docs:
 	$(MKDIR) build/docs/api
@@ -161,10 +181,12 @@
 examples: $(BUILDDIR)/planner $(BUILDDIR)/numerical
 
 $(BUILDDIR)/planner: examples/planner/main.c $(BUILDDIR)/$(LIB_STATIC)
-	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS)
+	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $^ $(LDFLAGS)
 
 $(BUILDDIR)/numerical: examples/numerical/main.c $(BUILDDIR)/$(LIB_STATIC)
-	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS)
+	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $^ $(LDFLAGS)
+
+-include $(LIB_DEP_SHARED) $(LIB_DEP_STATIC) $(TEST_DEP)
 
 .PHONY: all test test-quiet test-verbose test-debug \
 		valgrind valgrind-quiet valgrind-verbose valgrind-debug \
@@ -177,5 +199,5 @@
 	$(CC) $(LDFLAGS_COV) -o $@ $^ $(LDFLAGS)
 
 $(TEST_OBJ): $(BUILDDIR)/%.o : %.c
-	@$(MKDIR) $(BUILDDIR)/test/units
-	$(CC) $(CFLAGS) $(CFLAGS_COV) -c -o $@ $<
+	$(Q)$(MKDIR) $(dir $@)
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_COV) -c -o $@ $<
