=== debian/changelog ===
libcyaml (1.3.1-1) unstable; urgency=medium

  * Update to upstream v1.3.1

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 22 Feb 2022 20:39:58 +0000

libcyaml (1.3.0-1) unstable; urgency=medium

  * Update to upstream v1.3.0
    - Refresh patch.
  * Update Standards-Version to 4.6.0.1

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 22 Nov 2021 20:53:26 +0000

libcyaml (1.2.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 15 Aug 2021 12:32:08 +0100

libcyaml (1.2.0-1) experimental; urgency=medium

  * Update to upstream v1.2.0
    - Update copyright.
  * Update Standards-Version to 4.5.1

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 02 Jul 2021 20:15:50 +0100
