=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Build-Depends: debhelper-compat (= 13), libyaml-dev, doxygen, graphviz, pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Section: libs
 Homepage: https://github.com/tlsa/libcyaml
 Vcs-Browser: https://salsa.debian.org/sudip/libcyaml
