=== debian/tests/control ===
Tests: upstream-tests
Depends: @, libyaml-dev, build-essential
