=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libcyaml-$1\.tar\.gz/ \
  https://github.com/tlsa/libcyaml/tags .*/v?(\d\S+)\.tar\.gz
