=== debian/changelog ===
libcyaml (1.4.1-1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:44:21 +0200

libcyaml (1.4.1-1) unstable; urgency=medium

  * Update to upstream v1.4.1
    - Update copyright.
    - Rebase patches for upstream changes.
  * Update Standards-Version to 4.6.2

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 10 Jul 2023 19:49:28 +0100
