=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: libcyaml
 Priority: optional
-Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Build-Depends: debhelper-compat (= 13), libyaml-dev, doxygen, graphviz, pkg-config
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://github.com/tlsa/libcyaml
 Vcs-Browser: https://salsa.debian.org/sudip/libcyaml
