=== debian/changelog ===
libcyaml (1.4.2-1) unstable; urgency=medium

  * New upstream version 1.4.2
  * Update pkg-config with pkgconf.
  * Update Standards-Version to 4.7.0
  * Update copyright.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 06 Sep 2024 20:46:53 +0100
