=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: libcyaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
-Build-Depends: debhelper-compat (= 13), libyaml-dev, doxygen, graphviz, pkg-config
-Standards-Version: 4.6.2
+Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
+Build-Depends: debhelper-compat (= 13), libyaml-dev, doxygen, graphviz, pkgconf
+Standards-Version: 4.7.0
 Section: libs
 Homepage: https://github.com/tlsa/libcyaml
 Vcs-Browser: https://salsa.debian.org/sudip/libcyaml
